package com.onthefencedevelopment.androidmaps101;

import android.os.Bundle;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapView;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.google.android.maps.MyLocationOverlay;

public class OpenMap extends MapActivity {

	private MapController mapController;
	private MyLocationOverlay myLocation;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		// Get Mapping Controllers etc
		MapView mapView = (MapView) findViewById(R.id.map_view);
		mapController = mapView.getController();
		
		// I've added the following 2 lines to Center the map on the UK
		GeoPoint centreUK = new GeoPoint((int)(54.00366 * 1E6),(int)(-2.547855 * 1E6));
		mapController.setCenter(centreUK);
		
		mapController.setZoom(6);
		mapView.setBuiltInZoomControls(true);

		// Add the MyLocationOverlay
		myLocation = new MyLocationOverlay(this, mapView);
		mapView.getOverlays().add(myLocation);

		myLocation.enableMyLocation();

		myLocation.runOnFirstFix(new Runnable() {
			public void run() {
				mapController.animateTo(myLocation.getMyLocation());
			}
		});

		DemoOverlay demoOverlay = new DemoOverlay();
		mapView.getOverlays().add(demoOverlay);
	}

	@Override
	protected void onResume() {
		super.onResume();
		myLocation.enableMyLocation();
	}

	@Override
	protected void onPause() {
		super.onPause();
		myLocation.disableMyLocation();
	}

	@Override
	protected boolean isRouteDisplayed() {
		// TODO Auto-generated method stub
		return false;
	}
}